<?php

/**
 * @file
 * Help page fragments for Acquia VWO module.
 */

// cspell:ignore vwoid
use Drupal\Core\Url;

/**
 * Help page for both the generic help for the module, and settings page.
 *
 * @return array
 *   The help array.
 */
function acquia_vwo_help_settings() {
  [$vwo_url_no_partner] = acquia_vwo_help_links();

  $h[] = t('VWO is an easy to use A/B, split and multivariate testing tool.');
  $h[] = t('In order to use this module, you will need a VWO account. A Free 30 day trial account is available from the VWO website by clicking on the link below.');
  $h2[] = t(
    '<a href=":url">Sign up for a Free 30 day trial.</a>',
    [':url' => $vwo_url_no_partner->toString()]
  );
  $h[] = implode('', $h2);

  return $h;
}

/**
 * Helper function to return the partner and no partner links to VWO.
 */
function acquia_vwo_help_links() {
  $vwo_url_no_partner = Url::fromUri(
    'https://vwo.com/free-trial/',
    [
      'absolute' => TRUE,
    ]
  );

  return [$vwo_url_no_partner];
}
